Skip to main content
GET
Get usage series

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

account_id
string<uuid>
required

Query Parameters

metric
enum<string>
required

Usage metric to chart. Usage metric represented by this series.

Available options:
credits,
storage,
bandwidth,
api_calls
preset
enum<string>
default:30d

Relative timeframe preset.

Available options:
7d,
30d,
90d
timezone
string
default:UTC

IANA timezone for daily bucket boundaries.

project_reference
string

Project ID or slug that narrows the read to one project of the account. A project of another account is not found.

Minimum string length: 1

Response

Daily series of one usage metric of the account, optionally for one project.

metric
enum<string>
required

Usage metric represented by this series.

Available options:
credits,
storage,
bandwidth,
api_calls
label
string
required

Human-readable metric label.

unit
string
required

Unit used by values, such as credits, calls, or bytes.

summary
object
required
timeframe
object
required
series
object[]
required
projects
object[]
required